[package - main-riscv64-default][www/rubygem-passenger] Failed for rubygem-passenger-apache-6.0.8 in build/runaway

From: <pkg-fallout_at_FreeBSD.org>
Date: Sat, 31 Jul 2021 20:45:14 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     osa_at_FreeBSD.org
Log URL:        http://beefy7.nyi.freebsd.org/data/main-riscv64-default/pe777a21158a3_s7685f8344d/logs/rubygem-passenger-apache-6.0.8.log
Build URL:      http://beefy7.nyi.freebsd.org/build.html?mastername=main-riscv64-default&build=pe777a21158a3_s7685f8344d
Log:

=>> Building www/rubygem-passenger
build started at Sat Jul 31 14:08:07 UTC 2021
port directory: /usr/ports/www/rubygem-passenger
package name: rubygem-passenger-apache-6.0.8
building for: FreeBSD main-riscv64-default-job-14 14.0-CURRENT FreeBSD 14.0-CURRENT 1400026 riscv
maintained by: osa_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400008
Jail OSVERSION: 1400026
Job Id: 14




!!! Jail is newer than host. (Jail: 1400026, Host: 1400008) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=riscv64
UNAME_m=riscv
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1400026
UNAME_v=FreeBSD 14.0-CURRENT 1400026
UNAME_r=14.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/main-riscv64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/main-riscv64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=main-riscv64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/main-riscv64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=apache
DEPENDS_ARGS=
MAKE_ARGS= FLAVOR=apache
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for rubygem-passenger-apache-6.0.8:
     DEBUG=off: Build with debugging support
     SYMLINK=on: Create passenger symlink
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
osa_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.8" XDG_DATA_HOME=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache  XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache  HOME=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache  XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache  HOME=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/www/rubygem-passenger/work-apache/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe -march=rv64imafdc -mabi=lp64d  -fstack-protector-strong -fno-strict-aliasing "  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="  -fstack-protector-strong " LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -march=rv64imafdc -mabi=lp64d -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="i
 nstall  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="_at_comment " RUBY_LIBDIR="lib/ruby/2.7" RUBY_ARCHLIBDIR="lib/ruby/2.7/riscv64-freebsd14" RUBY_SITELIBDIR="lib/ruby/site_ruby/2.7" RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.7/riscv64-freebsd14" RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.7" RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.7/riscv64-freebsd14" RUBY_MODDOCDIR="share/doc/ruby27/passenger" RUBY_MODEXAMPLESDIR="share/examples/ruby27/passenger" RUBY_DOCDIR="share/doc/ruby27" RUBY_EXAMPLESDIR="share/examples/ruby27" RUBY_RIDIR="share/ri/2.7/system" RUBY_SITERIDIR="share/ri/2.7/site"  RUBY_VERSION="2.7.4"  RUBY_VER="2.7"  RUBY_SHLIBVER="27"  RUBY_ARCH="riscv64-freebsd14"  RUBY_SUFFIX="27"  RUBY_NAME="ruby27"  RUBY_DEFAULT_SUFFIX="27"  RUBY26="_at_comment "  RUBY27=""  RUBY30="_at_comment " APACHEMODDIR="libexec/apache24"  APACHEINCLUDEDIR="include/apache24"  APACHEETCDIR="etc/apache24"  APACHE_VERSION="2.4" AP_NAME="passenger" AP_MODULE="passenger.so" PORTVERSION="6.0.8"  REV=""  GEMS_BASE_DIR="lib/ruby/gems/2.7"  GEMS_DIR="lib/
 ruby/gems/2.7/gems"  DOC_DIR="lib/ruby/gems/2.7/doc"  CACHE_DIR="lib/ruby/gems/2.7/cache"  SPEC_DIR="lib/ruby/gems/2.7/specifications"  EXT_DIR="lib/ruby/gems/2.7/extensions"  PORT="passenger-6.0.8"  GEM_NAME="passenger-6.0.8"  GEM_LIB_DIR="lib/ruby/gems/2.7/gems/passenger-6.0.8"  GEM_DOC_DIR="lib/ruby/gems/2.7/doc/passenger-6.0.8"  GEM_SPEC="lib/ruby/gems/2.7/specifications/passenger-6.0.8.gemspec"  GEM_CACHE="lib/ruby/gems/2.7/cache/passenger-6.0.8.gem"  EXTRACT_SUFX=".gem" PYTHON_INCLUDEDIR=include/python3.8  PYTHON_LIBDIR=lib/python3.8  PYTHON_PLATFORM=freebsd14  PYTHON_SITELIBDIR=lib/python3.8/site-packages  PYTHON_SUFFIX=38  PYTHON_EXT_SUFFIX=.cpython-38  PYTHON_VER=3.8  PYTHON_VERSION=python3.8 PYTHON2="_at_comment " PYTHON3="" OSREL=14.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib AP_MOD_EN="-A" DOCSDIR="share/doc/passenger"  EXAMPLESDIR="share/examples/passenger"  DATADIR="share/passenger"  WWWDIR="www/passenger"  ETCDIR="etc/passenger"
--End PLIST_SUB--

--SUB_LIST--
GEM_LIB_DIR=lib/ruby/gems/2.7/gems/passenger-6.0.8 RUBY=/usr/local/bin/ruby27 PASSENGER_INSTALL_DIR="/usr/local/lib/ruby/gems/2.7/gems/passenger" APACHEMODDIR="libexec/apache24"  APACHEETCDIR="etc/apache24"  APACHE_VERSION="2.4" PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/passenger DOCSDIR=/usr/local/share/doc/passenger EXAMPLESDIR=/usr/local/share/examples/passenger  WWWDIR=/usr/local/www/passenger ETCDIR=/usr/local/etc/passenger
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=riscv
MACHINE_ARCH=riscv64
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: riscv64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: riscv64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--enable-new-dtags" "-m" "elf64lriscv" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 12.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-12.0.1-0-gfed41342a82f) Target: riscv64-unknown-freebsd14.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=riscv64
OPSYS=FreeBSD
_OSRELEASE=14.0-CURRENT
OSREL=14.0
OSVERSION=1400026
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.17.1.pkg
[main-riscv64-default-job-14] Installing pkg-1.17.1...
[main-riscv64-default-job-14] Extracting pkg-1.17.1: .......... done
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-passenger-apache-6.0.8
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-passenger-apache-6.0.8 for building
<snip>

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

	databases/rubygem-dbm:	DBM module
	databases/rubygem-gdbm:	GDBM module

Install them as occasion demands.
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/bin/ruby27 - found
===>   Returning to build of rubygem-passenger-apache-6.0.8
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/bin/gem27 - not found
===>   Installing existing package /packages/All/ruby27-gems-3.0.8.pkg
[main-riscv64-default-job-14] Installing ruby27-gems-3.0.8...
[main-riscv64-default-job-14] Extracting ruby27-gems-3.0.8: .......... done
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/bin/gem27 - found
===>   Returning to build of rubygem-passenger-apache-6.0.8
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-passenger-apache-6.0.8 for building
===>  Extracting for rubygem-passenger-apache-6.0.8
=> SHA256 Checksum OK for rubygem/passenger-6.0.8.gem.
/usr/local/lib/ruby/site_ruby/2.7/rubygems/package.rb:509: warning: Using the last argument as keyword parameters is deprecated
Unpacked gem: '/wrkdirs/usr/ports/www/rubygem-passenger/work-apache/passenger-6.0.8'
/usr/local/lib/ruby/site_ruby/2.7/rubygems/package.rb:509: warning: Using the last argument as keyword parameters is deprecated
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/bin/ruby27 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-passenger-apache-6.0.8
===>  Applying FreeBSD patches for rubygem-passenger-apache-6.0.8 from /usr/ports/www/rubygem-passenger/files
===========================================================================
=======================<phase: build-depends  >============================
===>   rubygem-passenger-apache-6.0.8 depends on executable: rake - not found
===>   Installing existing package /packages/All/rubygem-rake-13.0.6.pkg
[main-riscv64-default-job-14] Installing rubygem-rake-13.0.6...
[main-riscv64-default-job-14] Extracting rubygem-rake-13.0.6: .......... done
===>   rubygem-passenger-apache-6.0.8 depends on executable: rake - found
===>   Returning to build of rubygem-passenger-apache-6.0.8
===>   rubygem-passenger-apache-6.0.8 depends on package: rubygem-rack>=0 - not found
===>   Installing existing package /packages/All/rubygem-rack-2.2.3,3.pkg
[main-riscv64-default-job-14] Installing rubygem-rack-2.2.3,3...
[main-riscv64-default-job-14] Extracting rubygem-rack-2.2.3,3: .......... done
===>   rubygem-passenger-apache-6.0.8 depends on package: rubygem-rack>=0 - found
===>   Returning to build of rubygem-passenger-apache-6.0.8
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/bin/ruby27 - found
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/sbin/apxs - not found
===>   Installing existing package /packages/All/apache24-2.4.48.pkg
[main-riscv64-default-job-14] Installing apache24-2.4.48...
[main-riscv64-default-job-14] `-- Installing apr-1.7.0.1.6.1_1...
[main-riscv64-default-job-14] |   `-- Installing db5-5.3.28_7...
[main-riscv64-default-job-14] |   `-- Extracting db5-5.3.28_7: .......... done
[main-riscv64-default-job-14] |   `-- Installing expat-2.4.1...
[main-riscv64-default-job-14] |   `-- Extracting expat-2.4.1: .......... done
[main-riscv64-default-job-14] |   `-- Installing gdbm-1.20...
[main-riscv64-default-job-14] |   | `-- Installing gettext-runtime-0.21...
[main-riscv64-default-job-14] |   | `-- Extracting gettext-runtime-0.21: .......... done
[main-riscv64-default-job-14] |   | `-- Installing readline-8.1.1...
[main-riscv64-default-job-14] |   | `-- Extracting readline-8.1.1: .......... done
[main-riscv64-default-job-14] |   `-- Extracting gdbm-1.20: .......... done
[main-riscv64-default-job-14] `-- Extracting apr-1.7.0.1.6.1_1: .......... done
[main-riscv64-default-job-14] `-- Installing curl-7.78.0...
[main-riscv64-default-job-14] |   `-- Installing ca_root_nss-3.68...
[main-riscv64-default-job-14] |   `-- Extracting ca_root_nss-3.68: ........ done
[main-riscv64-default-job-14] |   `-- Installing libnghttp2-1.44.0...
[main-riscv64-default-job-14] |   `-- Extracting libnghttp2-1.44.0: .......... done
[main-riscv64-default-job-14] |   `-- Installing libssh2-1.9.0_3,3...
[main-riscv64-default-job-14] |   `-- Extracting libssh2-1.9.0_3,3: .......... done
[main-riscv64-default-job-14] `-- Extracting curl-7.78.0: .......... done
[main-riscv64-default-job-14] `-- Installing jansson-2.13.1...
[main-riscv64-default-job-14] `-- Extracting jansson-2.13.1: .......... done
[main-riscv64-default-job-14] `-- Installing libxml2-2.9.12...
[main-riscv64-default-job-14] `-- Extracting libxml2-2.9.12: .......... done
[main-riscv64-default-job-14] `-- Installing pcre-8.44...
[main-riscv64-default-job-14] `-- Extracting pcre-8.44: .......... done
[main-riscv64-default-job-14] `-- Installing perl5-5.32.1_1...
[main-riscv64-default-job-14] `-- Extracting perl5-5.32.1_1: .......... done
===> Creating groups.
Using existing group 'www'.
===> Creating users
Using existing user 'www'.
[main-riscv64-default-job-14] Extracting apache24-2.4.48: .......... done
=====
Message from apr-1.7.0.1.6.1_1:

--
The Apache Portable Runtime project removed support for FreeTDS with
version 1.6. Users requiring MS-SQL connectivity must migrate
configurations to use the added ODBC driver and FreeTDS' ODBC features.
=====
Message from ca_root_nss-3.68:

--
FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.


This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem
=====
Message from apache24-2.4.48:

--
To run apache www server from startup, add apache24_enable="yes"
in your /etc/rc.conf. Extra options can be found in startup script.

Your hostname must be resolvable using at least 1 mechanism in
/etc/nsswitch.conf typically DNS or /etc/hosts or apache might
have issues starting depending on the modules you are using.


- apache24 default build changed from static MPM to modular MPM
- more modules are now enabled per default in the port
- icons and error pages moved from WWWDIR to DATADIR

   If build with modular MPM and no MPM is activated in
   httpd.conf, then mpm_prefork will be activated as default
   MPM in etc/apache24/modules.d to keep compatibility with
   existing php/perl/python modules!

Please compare the existing httpd.conf with httpd.conf.sample
and merge missing modules/instructions into httpd.conf!
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/sbin/apxs - found
===>   Returning to build of rubygem-passenger-apache-6.0.8
===>   rubygem-passenger-apache-6.0.8 depends on file: /usr/local/bin/gem27 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   rubygem-passenger-apache-6.0.8 depends on shared library: libuv.so - not found
===>   Installing existing package /packages/All/libuv-1.41.0.pkg
[main-riscv64-default-job-14] Installing libuv-1.41.0...
[main-riscv64-default-job-14] Extracting libuv-1.41.0: .......... done
===>   rubygem-passenger-apache-6.0.8 depends on shared library: libuv.so - found (/usr/local/lib/libuv.so)
===>   Returning to build of rubygem-passenger-apache-6.0.8
===>   rubygem-passenger-apache-6.0.8 depends on shared library: libcurl.so - found (/usr/local/lib/libcurl.so)
===>   rubygem-passenger-apache-6.0.8 depends on shared library: libapr-1.so - found (/usr/local/lib/libapr-1.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubygem-passenger-apache-6.0.8
===========================================================================
=======================<phase: build          >============================
===>  Building for rubygem-passenger-apache-6.0.8
  Successfully built RubyGem
  Name: passenger
  Version: 6.0.8
  File: passenger-6.0.8.gem
(CC=/nxb-bin/usr/bin/cc CXX=/nxb-bin/usr/bin/c++ /wrkdirs/usr/ports/www/rubygem-passenger/work-apache/passenger-6.0.8/bin/passenger-install-apache2-module --auto)
Welcome to the Phusion Passenger Apache 2 module installer, v6.0.8.

This installer will guide you through the entire installation process. It
shouldn't take more than 3 minutes in total.

Here's what you can expect from the installation process:

 1. The Apache 2 module will be installed for you.
 2. You'll learn how to configure Apache.
 3. You'll learn how to deploy a Ruby on Rails application.

Don't worry if anything goes wrong. This installer will advise you on how to
solve any problems.

Press Enter to continue, or Ctrl-C to abort.

--------------------------------------------

Which languages are you interested in?

Override selection with --languages.

 ‣ ⬢  Ruby
   ⬡  Python
   ⬡  Node.js
   ⬡  Meteor

--------------------------------------------

Checking for required software...

 * Checking for C compiler...
      Found: yes
      Location: /nxb-bin/usr/bin/cc
 * Checking for C++ compiler...
      Found: yes
      Location: /nxb-bin/usr/bin/c++
 * Checking for Curl development headers with SSL support...
=>> Killing runaway build after 21600 seconds with no output
Received on Sat Jul 31 2021 - 20:45:14 UTC

Original text of this message